Subject: Re: [BUG?] parallel make interdepencies

From: Michael J Gruber <[email-masked]>
Date: Tue, 6 Oct 2015 16:24:12 +0200

John Keeping venit, vidit, dixit 06.10.2015 15:33:
> On Tue, Oct 06, 2015 at 03:13:05PM +0200, Johannes Schindelin wrote:
>> Hi Michael,
>>
>> On 2015-10-06 10:12, Michael J Gruber wrote:
>>> "make -j3" just errored out on me, a follow-up "make" succeeded". This
>>> looks like an interdependency issue, but I don't know how to track it:
>>>
>>>     GEN git-web--browse
>>>     GEN git-add--interactive
>>>     GEN git-difftool
>>> mv: der Aufruf von stat für „perl.mak“ ist nicht möglich: Datei oder
>>> Verzeichnis nicht gefunden
>>>
>>> (cannot stat "perl.mak")
>>
>> This one sounds awfully familiar. Although I only encountered this if
>> I specified `make -j15 clean all`, i.e. *both* "clean" and "all"...
> 
> I've seen something like this after upgrading perl (I can't remember the
> exact error, so it may not be the same problem but I'm pretty sure it
> involves perl.mak).  The problem was a result of the perl library path
> changing, but I never got around to creating a patch.
> 
> I thought I remembered someone else posting a patch to address this, but
> I can't find it so perhaps I'm remembering commit 07981dc (Makefile:
> rebuild perl scripts when perl paths change, 2013-11-18).
> 

At least I'm in good company, then. The statistical evidence is 100%
clear: It's a John-related issue.

Michael J(ohannes)